MAIL.LOCAL(8)

NAME
mail.local - store mail in a mailbox

SYNOPSIS
mail.local [-l] [-f from] user ...

DESCRIPTION
mail.local reads the standard input up to an end-of-file and appends it to each user's mail file. The user must be a valid user name.

The options are as follows:

-f from
    Specify the sender's name.

-l  Request that username.lock files be used for locking.

Individual mail messages in the mailbox are delimited by an empty line followed by a line beginning with the string ``From ''. A line containing the string ``From '', the sender's name and a time stamp is prepended to each delivered mail message. A blank line is appended to each message. A greater-than character (``>'') is prepended to any line in the message which could be mistaken for a ``From '' delimiter line.

If the [-l] flag is specified mailbox locking is done with username.lock files. Otherwise, the mailbox is exclusively locked with flock(2) while mail is appended.

If the ``biff'' service is returned by getservbyname(3), the biff server is notified of delivered mail.

ENVIRONMENT

TZ  Used to set the appropriate time zone on the timestamp.

FILES
/tmp/local.XXXXXX
    temporary files
/var/mail/user
    user's mailbox directory

EXIT STATUS

SEE ALSO
mail(1), sendmail(1), flock(2), getservbyname(3), comsat(8)

HISTORY
A superset of mail.local (handling mailbox reading as well as mail delivery) appeared in AT&T UNIX as the program mail(1).